Troubleshooting and Help
========================

Support Community
-----------------

There is also an active support community at: http://community.humhub.com


Github - Bugtracker
-------------------

**How to file a bug**
- Go to our issue tracker on GitHub: https://github.com/humhub/humhub/issues
- Search for existing issues using the search field at the top of the page
- File a new issue including the info listed below
- Thanks a ton for helping make Brackets higher quality!

**When filing a new bug, please include:**

- Descriptive title - use keywords so others can find your bug (avoiding duplicates)
- Specific and repeatable steps that trigger the problem
- What happens when you follow the steps, and what you expected to happen instead.
- Include the exact text of any error messages if applicable (or upload screenshots).
- HumHub version (or if you're pulling directly from Git, your current commit SHA - use git rev-parse HEAD)
- Did this work in a previous version? If so, also provide the version that it worked in.
- OS/PHP/MySQL version
- Modules? Confirm that you've tested with Debug > Reload Without Extensions first (see below).
- Any errors logged in Debug > Show Developer Tools - Console view

Cron Job Setup
----------------------------------------
- Do you have access to setup Cron Jobs?
- Does your server use Cron or Crontab?
- Does your server use a third-party Cron Job provider?
- Are you using VPS or Dedicated/Shared/Other Hosting?
- Can you provide screenshots of your Cron Job settings? (With personal information blurred out!)
- What type of server are you using? (CloudLinux CentOS 6, Windows IIS, or etc)

> Note: For more help refer to [here](cron-jobs.md)!

Direct Support (Enterprise Edition only)
----------------------------------------

As Enterprise Edition user you can create direct support inquiries at: 
`Administration -> Enterprise Edition -> Support`.

If you have problems related to the installation, please contact us at: info@humhub.com
