Developement Guide
==================

Getting Started
---------------
* [Overview](overview.md)
* [Development Environment](environment.md)
* [Coding Standards](coding-standards.md)

Module Developement
---------------
* [Introduction](modules.md)
* [HumHub Build](build.md)
* [Module Migration Guide](modules-migrate.md)
* [Change core behavior](module-change-behavior.md)
* [Embedded Themes](embedded-themes.md)
* [Testing](testing.md)

Basic Concepts
------------------
* [Database and Models](models.md)
* [Users](modules-users.md)
* [Content](content.md)
* [Streams](stream.md)
* [Events](events.md)
* [Settings and Configuration](settings.md)
* [Permissions](permissions.md)
* [Notifications](notifications.md)
* [Activities](activities.md)
* [File Handling](files.md)
* [Widgets](widgets.md)
* [Snippets](snippet.md)
* [Internationalization](i18n.md)

Javascript API
------------------
 * [Modules](javascript-index.md)
 * [Actions](javascript-actions.md)
 * [Components and Widgets](javascript-components.md)
 * [Additions](javascript-uiadditions.md)
 * [Client](javascript-client.md)

Advanced Topics
--------------
* [Authentication](authentication.md)
* [Live Updates](live.md)
* [Search](search.md)
* [Security](security.md)
* [Console Application](console.md)


